Uploaded image for project: 'phpBB3'
  1. phpBB3
  2. PHPBB3-13324

Composer no longer downloads sami/sami and fabpot/goutte

    Details

    • Type: Task
    • Status: Unverified Fix
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 3.0.12, 3.1.1
    • Fix Version/s: 3.0.13-RC1, 3.1.2-RC1
    • Component/s: None
    • Labels:
      None

      Description

      Caused by or at least related to http://fabien.potencier.org/article/75/about-personal-github-accounts

      Workaround: Use --prefer-source

      php ../composer.phar install --dev
      Loading composer repositories with package information
      Installing dependencies (including require-dev) from lock file
        - Installing lusitanian/oauth (v0.2.1)
          Downloading: 100%         
       
        - Installing symfony/filesystem (v2.3.21)
          Downloading: 100%         
       
        - Installing symfony/config (v2.3.21)
          Downloading: 100%         
       
        - Installing symfony/dependency-injection (v2.3.21)
          Downloading: 100%         
       
        - Installing symfony/http-foundation (v2.3.21)
          Downloading: 100%         
       
        - Installing symfony/event-dispatcher (v2.3.21)
          Downloading: 100%         
       
        - Installing symfony/debug (v2.3.21)
          Downloading: 100%         
       
        - Installing psr/log (1.0.0)
          Downloading: 100%         
       
        - Installing symfony/http-kernel (v2.3.21)
          Downloading: 100%         
       
        - Installing symfony/routing (v2.3.21)
          Downloading: 100%         
       
        - Installing symfony/process (v2.3.21)
          Downloading: 100%         
       
        - Installing symfony/finder (v2.3.21)
          Downloading: 100%         
       
        - Installing symfony/dom-crawler (v2.3.21)
          Downloading: 100%         
       
        - Installing symfony/css-selector (v2.3.21)
          Downloading: 100%         
       
        - Installing symfony/browser-kit (v2.3.21)
          Downloading: 100%         
       
        - Installing guzzle/common (v3.7.3)
          Downloading: 100%         
       
        - Installing guzzle/stream (v3.7.3)
          Downloading: 100%         
       
        - Installing guzzle/parser (v3.7.3)
          Downloading: 100%         
       
        - Installing guzzle/http (v3.7.3)
          Downloading: 100%         
       
        - Installing fabpot/goutte (v1.0.3)
          Downloading: connection...
      Could not fetch https://api.github.com/repos/fabpot/Goutte/zipball/75c9f23c4122caf4ea3e87a42a00b471366e707f, enter your GitHub credentials to access private repos
      The credentials will be swapped for an OAuth token stored in /home/afischer/.composer/config.json, your password will not be stored
      To revoke access to this token you can visit https://github.com/settings/applications
      Username: 
      Password:
      

        Activity

        Hide
        nicofuma nicofuma added a comment -

        It's a packagist issue (The package name didn't change: https://github.com/FriendsOfPHP/Goutte/blob/master/composer.json#L2) so I don't see why it's a blocker for us, or maybe you are saying that for the phig tasks?

        Show
        nicofuma nicofuma added a comment - It's a packagist issue (The package name didn't change: https://github.com/FriendsOfPHP/Goutte/blob/master/composer.json#L2 ) so I don't see why it's a blocker for us, or maybe you are saying that for the phig tasks?
        Hide
        bantu Andreas Fischer added a comment -

        The composer.lock file contains URLs to zipballs which can not be downloaded. I do not care who caused it (you can blame composer, github and fabpot) or whatever the problem is. This is a problem for every potential phpBB developer and should be resolved as soon as possible. This is not only a blocker, this is a "must take action immediately".

        Show
        bantu Andreas Fischer added a comment - The composer.lock file contains URLs to zipballs which can not be downloaded. I do not care who caused it (you can blame composer, github and fabpot) or whatever the problem is. This is a problem for every potential phpBB developer and should be resolved as soon as possible. This is not only a blocker, this is a "must take action immediately".

          People

          • Assignee:
            bantu Andreas Fischer
            Reporter:
            bantu Andreas Fischer
          • Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development